[-]
Server Time


[-]
Welcome
You have to register before you can post on our site.

Username:


Password:





[-]
Useful Links
Forums
Mini-manager
Rules
Tech Support
Events Calendar
Commands Listing

[-]
Latest Threads
Hey
Last Post: Talona
07-08-2020 07:14 AM
» Replies: 4
» Views: 95
What free OS does this work on?
Last Post: Aphetoros
07-07-2020 10:32 PM
» Replies: 1
» Views: 66
Highmountain Storyline
Last Post: zackaroth
05-26-2020 12:57 PM
» Replies: 0
» Views: 198
Sanctioning Explained; Eredar Binding Up...
Last Post: Talona
05-17-2020 06:01 PM
» Replies: 0
» Views: 160
Announcement Regarding Custom NPCs and O...
Last Post: Talona
05-10-2020 02:56 PM
» Replies: 0
» Views: 173

[-]
Who's Online
There are currently no members online.

Engineering items still req. engineering ranks
#1
Character(s): Lou

What happened: Tried to equip [Flying Tiger Goggles] (4368) and got the message "<COLOR color="#EE4A2D"><s></s>You do not have the require proficiency for that item"

Where: Anywhere, sure.

How: Try to equip one.
If this is to end in fire, then we shall all burn together.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)